<?php
  session_start();
  	
  include("db.php");
  include('messages.php');
    $mode=$_POST['mode'];
    $day = $_POST['day'];
	$month = $_POST['month'];
	$year = $_POST['year'];
    $date=$year."-".$month."-".$day;
	$target=$_POST['target'];
    //echo "<br>مشخصات ارزی که باید کم شود </br>";
     $counterCurrency=$_POST['counterCurrency'];  //ارزی که باید کم شود
    
   echo "<br>";
    $counterAmount_p=$_POST['counterAmount']; //مقدار ارز معاوضه فروخته شده که باید کم شود 
    $counterAmount = preg_replace('/[^\d\.-]/', '', $counterAmount_p);
    
    $retrivebuyeramount_p=$_POST['retrivebuyeramount'];
    $retrivebuyeramount = preg_replace('/[^\d\.-]/', '', $retrivebuyeramount_p);
   echo "<br>";
    $retrivebuyerafn_p=$_POST['retrivebuyerafn'];  //موجودی ارز مورد معاوضه 
    $retrivebuyerafn = preg_replace('/[^\d\.-]/', '', $retrivebuyerafn_p); 
    $basecurrency=$_POST['basecurrency']; //نوع ارز پایه 
         
	echo "<br>";   
    $baceAmount_p=$_POST['baceAmount']; //مقدار فروخته شده به ارزش پایه
    $baceAmount = preg_replace('/[^\d\.-]/', '', $baceAmount_p);
    echo "<br>";
   
    $balance_p=$_POST['balance']; //موجودی ارز پایه
    $balance = preg_replace('/[^\d\.-]/', '', $balance_p);
   echo "<br>";
    //echo $rate=$_POST['rate'];
    $dollarRatePrice=$_POST['dollarRatePrice'];
	
    $desc=$_POST['desc'];
    echo "<br>";
       $totalDollar_p=$_POST['totalDollar'];
      echo  $totalDollar = preg_replace('/[^\d\.-]/', '', $totalDollar_p);
    //echo "<br>========================</br>"; 
 
//============================================================================	
         
	     $rate_currencyPriec=$_POST['rate_currencyPriec'];   //قیمت به پـــول پـــایه 
	      
		 $baserateRow=$_POST['currencyPriec'];   //قیمت به پـــول پـــایه 
		  
		 if($mode=='mode_1'){
			 
			$baseRatePriceRowmix=explode("/",$baserateRow);
			$first_baseRatePrice =$baseRatePriceRowmix[0];
			$second_baseRatePrice=$baseRatePriceRowmix[1]; 
			 

			$rate=($rate_currencyPriec/$second_baseRatePrice);
		 }
		 if($mode=='mode_2'){
			
			$baseRatePriceRowmix=explode("/",$baserateRow);
			$first_baseRatePrice =$baseRatePriceRowmix[0];
			$second_baseRatePrice=$baseRatePriceRowmix[1];

            $rate=($rate_currencyPriec/$first_baseRatePrice);			
		 }
		 
         
	 
	   //============================================================================	
        
	     $dollar_rateRow=$_POST['dollarRatePrice'];   //قیمت به دالر
         $dollarRatePriceRowmix=explode("/",$dollar_rateRow);
		 $first_dollarRatePrice =$dollarRatePriceRowmix[0];
		 $second_dollarRatePrice=$dollarRatePriceRowmix[1]; 
		
		
		 
		 //$dollarrate=($first_dollarRatePrice/$second_dollarRatePrice);
		 //$dollarrate=($first_dollarRatePrice/$second_dollarRatePrice);
	   
	     //$calculateAsset=$balance+$baceAmount;
		 
	   
	//================================================================================================
if(strlen(trim($counterCurrency))==0 or strlen(trim($basecurrency))==0 or strlen(trim($baceAmount))==0){
		echo' <script>
					 sweetAlert("اخطا ر... ", "لطفا جاهای خالی را پرکنید !", "error");
				  </script>';

         echo '<meta http-equiv="refresh" content ="1; url=dailyTransactionsale.php" >';
		die;


}
  
    
 //=========================================================================================
							/*پایان عملیات بر روی صندوقها*/
 //========================================================================================
 
    //پیدا کردن مقدار خریداری های روز
   $totalBuySql="select sum(counterAmount) from transaction where counterCurrency='$counterCurrency' and baseCurrency='$basecurrency' and treatment='1' and date='$date'";
   $totalBuyQuery= $db ->query($totalBuySql);
   $totalBuyRow=$totalBuyQuery ->fetch_array(); 
   $totalBuy=$totalBuyRow['sum(counterAmount)'];
    
   //پیدا کردن مقدار فروشات های روز
   $totalSellSql="select sum(counterAmount) from transaction where counterCurrency='$counterCurrency' and baseCurrency='$basecurrency' and treatment='2' and date='$date'";
   $totalSellQuery= $db ->query($totalSellSql);
   $totalSellRow=$totalSellQuery ->fetch_array();
   $totalSell=$totalSellRow['sum(counterAmount)'];
     
		 
    //پایان  فروشات روز
	 //مجموع فروشات=مجموع فروشات انجام شده+فروشات جدید
    $newTotalSell=$totalSell+$counterAmount;
    //تفاضل خریداری ها از فروشات=مجموع خریداریها-مجموع فروشات
    echo $resultTransaction=$totalBuy-$newTotalSell;
     echo "hekmat";
    //if($resultTransaction<0   ){
   
          $resultTransaction=-$resultTransaction;
		   
         //====در صورتی که موجودی بانک ما کمتر بود
		 //if(مقداری که باید کم شود از موجودی بانک همان پول بیشتر باشد)

		// if(-$resultTransaction<$assetsellamount){
		    
		include("lastRateBuy.php");
		include("lastRateBuy_dollar.php");
		$rate_extra=$first_oldRate/$second_oldRate;
		$dollarrate_extra=$first/$second;  
		//============فروش
		  
	    $insertSql="INSERT INTO `transaction` (`date` ,`counterCurrency`,`counterAmount`,`rate`,`baseCurrency`,`baseAmount`,`treatment`,`dollarRate`,`dollarTotal`,`desc`) 
	    VALUES ('$date','$counterCurrency','$counterAmount','$rate','$basecurrency','$baceAmount','2','$dollarrate','$totalDollar','$desc')";
	    $insertQuery = $db ->query($insertSql);
		  	
			//------------select last entry
	    $lastEntry_Sql="select id from `transaction` order by id desc limit 1 ";
		$lastEntry_Query= $db ->query($lastEntry_Sql);
		$lastEntry_Row=$lastEntry_Query ->fetch_array();
		$lastEntry=$lastEntry_Row['id'];
		
		  //بــــــــــــــــــــــــــــــــــــه جورنال ثبتــــــــــــــــــــــــ کـــــــــــــــــــــــــــــــن

		 
		 //journal out
		  $date=$date;
		  $namePart="فروش";
		  $reference="فروش";
		  $lastID=$lastEntry;
		  $currency=$counterCurrency;
		  $threadment="فروش";
		  $amount=$counterAmount;
		  $dr_cr=2;
		  include("entery_journal_majul.php");
		  //End of Journal OUT
		  //journal IN
		  $date=$date;
		  $namePart="فروش";
		  $reference="فروش";
		  $lastID=$lastEntry;
		  $currency=$basecurrency;
		  $threadment="فروش";
		  $amount=$baceAmount;
		  $dr_cr=1;
		  include("entery_journal_majul.php");
		  //End of Journal IN
		
		//------------select last entry
		
	    $baceAmountBuy=$resultTransaction*$rate_extra;
	    $dollar_total_extra=$dollarrate_extra*$resultTransaction;
		$insertbuySql="INSERT INTO `transaction` (`date` ,`counterCurrency`,`counterAmount`,`rate`,`baseCurrency`,`baseAmount`,`treatment`,`dollarRate`,`dollarTotal`,`extra`,`desc`) 
	    VALUES ('$date','$counterCurrency','$resultTransaction','$rate_extra','$basecurrency','$baceAmountBuy','1','$dollarrate_extra','$dollar_total_extra','$lastEntry','$desc')";
	    
		$insertbuyQuery = $db ->query($insertbuySql);
		echo' <script>
					 
					
				   swal("ذخیره موفق!", "اطلاعات وارده با موفقیت ثبت سیستم شد", "success")
				</script>';
	    echo '<meta http-equiv="refresh" content ="1; url='.$target.'" >';		
		  
      
   die;
   //}

     
 
  
   
 
 
 ?>